/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ScatterBaseView } from "./ScatterBaseView";
import { Path } from "igniteui-angular-core";
import { Defaults } from "./Defaults";
import { markType } from "igniteui-angular-core";
import { Color } from "igniteui-angular-core";
/**
 * @hidden
 */
export let ScatterLineSeriesView = /*@__PURE__*/ (() => {
    class ScatterLineSeriesView extends ScatterBaseView {
        constructor(a) {
            super(a);
            this.dz = new Path();
            this.dy = new Path();
        }
        a4() {
            super.a4();
            if (!this.t) {
                this.ch.xk = Defaults.e;
            }
        }
        bp() {
            super.bp();
        }
        bq() {
            super.bq();
            let a = this.b3();
            this.dy.an = this.dz.an;
            this.dy._stroke = a;
            this.dy.ad = this.f.ig + 3;
        }
        bj(a, b) {
            super.bj(a, b);
            if (a.d) {
                if (b) {
                    a.t(this.dy);
                }
                else {
                    a.t(this.dz);
                }
            }
        }
        dm(a) {
            super.dm(a);
            this.dz.an = null;
            this.dy.an = null;
        }
        ax(a) {
            super.ax(a);
            this.f.bc.exportPathData(a, this.dz, "shape", ["Main"]);
        }
        an() {
            let a = new Color();
            a.colorString = "rgba(95,95,95,0.5)";
            this.f.wb = a;
            this.f.jq = 3;
            this.f.jr = 1;
            this.f.js = 4;
            this.f.hd = false;
        }
    }
    ScatterLineSeriesView.$t = markType(ScatterLineSeriesView, 'ScatterLineSeriesView', ScatterBaseView.$);
    return ScatterLineSeriesView;
})();
